PDA

View Full Version : Java 1.5 upgrade troubles: package signing




valiar
Jul 20, 2006, 03:52 PM
I have developed a database app for a client, which they have been using happily for almost 2 years. One of the features of the program is that it sends email notifications to users using Sun's mail jar from J2EE.
Trouble has started since Apple's latest update that makes 1.5 JVM the default one.
Now my app does not start at all, giving up an error message (the signature on the Sun mail jar is different than the one on all other jars... duh...).
So far the only remedy I have been able t recommend is to set the 1.4 JVM as the default. However, for a typical user the process is too convoluted, and it has to be done for every user account on every machine, which is a PITA.
Does anyone know how to disable this security "mis-feature" in the latest JVM? Any other ideas how to fix it?